%global momorel 2

Name:           perl-Test-Most
Version:        0.22
Release:        %{momorel}m%{?dist}
Summary:        Test::Most Perl module
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Test-Most/
Source0:        http://www.cpan.org/authors/id/O/OV/OVID/Test-Most-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-Data-Dumper-Names >= 0.03
BuildRequires:  perl-Exception-Class >= 1.14
BuildRequires:  perl-Test-Deep
BuildRequires:  perl-Test-Differences
BuildRequires:  perl-Test-Exception
BuildRequires:  perl-Test-Harness >= 3.07
BuildRequires:  perl-Test-Simple >= 0.82
BuildRequires:  perl-Test-Warn >= 0.1
Requires:       perl-Data-Dumper-Names >= 0.03
Requires:       perl-Exception-Class >= 1.14
Requires:       perl-Test-Deep
Requires:       perl-Test-Differences
Requires:       perl-Test-Exception
Requires:       perl-Test-Harness >= 3.07
Requires:       perl-Test-Simple >= 0.82
Requires:       perl-Test-Warn >= 0.1
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
perl Build.PL ./Build ./Build test ./Build install

%prep
%setup -q -n Test-Most-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
./Build test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/Test/Most*
%{_mandir}/man3/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.22-2m)
- full rebuild for mo7 release

* Sun Aug  8 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.22-1m)
- update to 0.22

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-7m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-6m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.21-5m)
- rebuild against gcc-4.4 and glibc-2.11

* Wed Aug 26 2009 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.21-4m)
- expand BuildRequires

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (0.21-3m)
- rebuild against perl-5.10.1

* Mon Jun 01 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.21-2m)
- modify BuildRequires

* Sat May 30 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.21-1m)
- Specfile autogenerated by cpanspec 1.78 for Momonga Linux.
